Issue 38135 - Text animation doesn't work correct.
Summary: Text animation doesn't work correct.
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: ui (show other issues)
Version: 680m63
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0
Assignee: christian.guenther
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-30 11:55 UTC by christian.guenther
Modified: 2005-04-18 15:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description christian.guenther 2004-11-30 11:55:33 UTC
- start an Impress / Draw
- insert some text
- assign an text animation (Format / Text / Text Animation
- The bugs are: 
all animations:
  - animation cycles are wrong (deselect continuous)
  - Animaton doesn't start when I start the presentation (maybe depends on the
wrong animation cycles)
 
Scroll thtough:
  - Text visible when exiting -> Text is allways visible

Scroll In doesn't work (maybe depends on the wrong animation cycles)
Comment 1 groucho266 2004-11-30 16:24:29 UTC
With the new implementation of the presentation engine this bug may be obsolete.
 Have to check the m64 milestone build.
Comment 2 groucho266 2004-12-01 08:08:33 UTC
Accepted.
Comment 3 IngridvdM 2004-12-01 09:57:38 UTC
I will have a look.
Comment 4 IngridvdM 2004-12-01 09:58:00 UTC
.
Comment 5 wolframgarten 2004-12-01 10:01:24 UTC
Why is that assigned to me?!
Comment 6 IngridvdM 2004-12-01 10:17:24 UTC
Sorry, wrong settings. I will have a look.
Comment 7 IngridvdM 2004-12-01 10:17:36 UTC
.
Comment 8 IngridvdM 2004-12-03 12:02:26 UTC
IHA->AW: What I have found so far is:
The worst problem is that animations do not start with starting the presentation.
(Starting the presentation in src680m64 does not work at all.)
The 'wrong animation cycles' seem to have there origin in the following change:
In the former major office release a changed animation was fully played again
after change. Nowadays you will be shown possibly only a last part of the
animation if scheduler time has developed already. Maybe one could better use
the current scheduler time for starting again.

The other problems do not occur for me:
In src680m64 the 'scroll in' seems to work again. (m63 was broken)
The problem with 'scroll through' I do not understand.

You offered to fix this as it is your code. Thanks.
Comment 9 Armin Le Grand 2004-12-14 14:42:02 UTC
AW: Reworked AInfoScrollText and related clases to reflect more precise the old
behaviour. This was a nightmare, but works now. Checking in. What needs to be
done now is to reset the view timer when changes are made to the animated text
object.
Comment 10 Armin Le Grand 2004-12-16 13:24:19 UTC
AW: Added stuff for refresh when parameters are changed. Needed to implement a
method to set the animation timer to a given time, may be used for other
purposes, too.
AW: Also added some fine tuning to the animations themselves. Works all now.
Checked in.
Comment 11 Armin Le Grand 2004-12-23 15:30:02 UTC
AW->CGU: Please verify.
Comment 12 Armin Le Grand 2004-12-23 15:30:38 UTC
.
Comment 13 thorsten.ziehm 2004-12-29 08:44:49 UTC
set to 'resolved fixed'
Comment 14 christian.guenther 2005-01-17 11:03:40 UTC
The text animationstill doesn't work in the running presentation (look at iha's
comment above)
Comment 15 christian.guenther 2005-01-17 11:04:31 UTC
tested on windows and linux.
back to aw
Comment 16 Armin Le Grand 2005-01-26 14:20:22 UTC
AW->WG: Ready for new review.
Comment 17 wolframgarten 2005-01-27 08:40:32 UTC
Why is this one sent to me when cgu did it in former times? Reassigned.
Comment 18 christian.guenther 2005-01-27 09:22:45 UTC
still fixed but failed.
the text animation are working in the editmode but when I start the presentation
the text animation doesn't work.
Comment 19 Armin Le Grand 2005-01-27 15:06:56 UTC
AW: Bug in Presentation is #i37786#, this one IS fixed.
Comment 20 Armin Le Grand 2005-01-27 15:08:00 UTC
.
Comment 21 Armin Le Grand 2005-01-27 15:10:29 UTC
AW->CGU: Please verify.
Comment 22 wolframgarten 2005-01-27 15:18:14 UTC
There is a follow-up for this issue: i37786 for presentation mode.
Comment 23 wolframgarten 2005-01-27 15:23:57 UTC
Verified in CWS
Comment 24 christian.guenther 2005-04-18 15:48:23 UTC
Verified in src680m94